# SWGBrowserApi

All URIs are relative to *https://api.browshot.com/api/v1*

Method | HTTP request | Description
------------- | ------------- | -------------
[**browserInfoGet**](SWGBrowserApi.md#browserinfoget) | **GET** /browser/info | Get information about a browser
[**browserListGet**](SWGBrowserApi.md#browserlistget) | **GET** /browser/list | Get all browsers


# **browserInfoGet**
```objc
-(NSNumber*) browserInfoGetWithId: (NSNumber*) _id
        completionHandler: (void (^)(SWGBrowser* output, NSError* error)) handler;
```

Get information about a browser

Get information about a browser.

### Example 
```objc
SWGConfiguration *apiConfig = [SWGConfiguration sharedConfig];

// Configure API key authorization: (authentication scheme: apiKeyQuery)
[apiConfig setApiKey:@"YOUR_API_KEY" forApiKeyIdentifier:@"key"];
// Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
//[apiConfig setApiKeyPrefix:@"Bearer" forApiKeyIdentifier:@"key"];


NSNumber* _id = @56; // browser ID

SWGBrowserApi*apiInstance = [[SWGBrowserApi alloc] init];

// Get information about a browser
[apiInstance browserInfoGetWithId:_id
          completionHandler: ^(SWGBrowser* output, NSError* error) {
                        if (output) {
                            NSLog(@"%@", output);
                        }
                        if (error) {
                            NSLog(@"Error calling SWGBrowserApi->browserInfoGet: %@", error);
                        }
                    }];
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **_id** | **NSNumber***| browser ID | 

### Return type

[**SWGBrowser***](SWGBrowser.md)

### Authorization

[apiKeyQuery](../README.md#apiKeyQuery)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **browserListGet**
```objc
-(NSNumber*) browserListGetWithCompletionHandler: 
        (void (^)(SWGBrowserList* output, NSError* error)) handler;
```

Get all browsers

Get all browsers.

### Example 
```objc
SWGConfiguration *apiConfig = [SWGConfiguration sharedConfig];

// Configure API key authorization: (authentication scheme: apiKeyQuery)
[apiConfig setApiKey:@"YOUR_API_KEY" forApiKeyIdentifier:@"key"];
// Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
//[apiConfig setApiKeyPrefix:@"Bearer" forApiKeyIdentifier:@"key"];



SWGBrowserApi*apiInstance = [[SWGBrowserApi alloc] init];

// Get all browsers
[apiInstance browserListGetWithCompletionHandler: 
          ^(SWGBrowserList* output, NSError* error) {
                        if (output) {
                            NSLog(@"%@", output);
                        }
                        if (error) {
                            NSLog(@"Error calling SWGBrowserApi->browserListGet: %@", error);
                        }
                    }];
```

### Parameters
This endpoint does not need any parameter.

### Return type

[**SWGBrowserList***](SWGBrowserList.md)

### Authorization

[apiKeyQuery](../README.md#apiKeyQuery)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

